Bug 1292392 - Review Request: libpwiz - ProteoWizard software library
Review Request: libpwiz - ProteoWizard software library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 05:12 EST by Antonio Trande
Modified: 2017-02-06 23:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 17:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-12-17 05:12:59 EST
Spec URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz.spec
SRPM URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz-3.0.9205-1.fc23.src.rpm

Description: 
The ProteoWizard Library and Tools are a set of modular and extensible open-source, cross-platform tools and software libraries that facilitate proteomics data analysis.
 
Fedora Account System Username: sagitter

Note: this package is only for Fedora.
Comment 2 Upstream Release Monitoring 2015-12-18 10:10:33 EST
sagitter's scratch build of libpwiz-3.0.9205-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12237751
Comment 3 Denis Fateyev 2016-01-13 10:52:35 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)",
     "BSL (v1.0)", "zlib/libpng", "BSD (2 clause)", "*No copyright* Apache
     (v2.0)". 28 files have unknown license. Detailed output of
     licensecheck in
     /home/mock/sandbox/review/1292392-libpwiz/licensecheck.txt
Note: only "zlib/libpng" mention required; libsvm (bsd) and boost (bsl) are stripped anyway.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libpwiz-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libpwiz-3.0.9205-2.fc23.x86_64.rpm
          libpwiz-devel-3.0.9205-2.fc23.x86_64.rpm
          libpwiz-tools-3.0.9205-2.fc23.x86_64.rpm
          libpwiz-debuginfo-3.0.9205-2.fc23.x86_64.rpm
          libpwiz-3.0.9205-2.fc23.src.rpm
libpwiz-devel.x86_64: W: only-non-binary-in-usr-lib
libpwiz-devel.x86_64: W: no-documentation
libpwiz-tools.x86_64: W: no-documentation
libpwiz-tools.x86_64: W: no-manual-page-for-binary pepcat
libpwiz-tools.x86_64: W: no-manual-page-for-binary mscat
libpwiz-tools.x86_64: W: no-manual-page-for-binary txt2mzml
libpwiz-tools.x86_64: W: no-manual-page-for-binary msconvert
libpwiz-tools.x86_64: W: no-manual-page-for-binary idconvert
libpwiz.src:6: W: configure-without-libdir-spec
libpwiz.src: W: invalid-url Source0: libpwiz_src_3_0_9205.tgz
5 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libpwiz-debuginfo-3.0.9205-2.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libpwiz.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpwiz.so.3.0.0 /lib64/libsvm.so.2
libpwiz.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpwiz.so.3.0.0 /lib64/libboost_regex.so.1.58.0
libpwiz.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpwiz.so.3.0.0 /lib64/libboost_date_time.so.1.58.0
libpwiz-tools.x86_64: W: no-documentation
libpwiz-tools.x86_64: W: no-manual-page-for-binary idconvert
libpwiz-tools.x86_64: W: no-manual-page-for-binary pepcat
libpwiz-tools.x86_64: W: no-manual-page-for-binary txt2mzml
libpwiz-tools.x86_64: W: no-manual-page-for-binary mscat
libpwiz-tools.x86_64: W: no-manual-page-for-binary msconvert
libpwiz-devel.x86_64: W: only-non-binary-in-usr-lib
libpwiz-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
libpwiz (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_chrono.so.1.58.0()(64bit)
    libboost_date_time.so.1.58.0()(64bit)
    libboost_filesystem.so.1.58.0()(64bit)
    libboost_iostreams.so.1.58.0()(64bit)
    libboost_program_options.so.1.58.0()(64bit)
    libboost_regex.so.1.58.0()(64bit)
    libboost_serialization.so.1.58.0()(64bit)
    libboost_system.so.1.58.0()(64bit)
    libboost_thread.so.1.58.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libsvm.so.2()(64bit)
    rtld(GNU_HASH)

libpwiz-debuginfo (rpmlib, GLIBC filtered):

libpwiz-tools (rpmlib, GLIBC filtered):
    libboost_filesystem.so.1.58.0()(64bit)
    libboost_program_options.so.1.58.0()(64bit)
    libboost_system.so.1.58.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libpthread.so.0()(64bit)
    libpwiz(x86-64)
    libpwiz.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libpwiz-devel (rpmlib, GLIBC filtered):
    libpwiz(x86-64)
    libpwiz.so.3()(64bit)



Provides
--------
libpwiz:
    libpwiz
    libpwiz(x86-64)
    libpwiz.so.3()(64bit)

libpwiz-debuginfo:
    libpwiz-debuginfo
    libpwiz-debuginfo(x86-64)

libpwiz-tools:
    libpwiz-tools
    libpwiz-tools(x86-64)

libpwiz-devel:
    libpwiz-devel
    libpwiz-devel(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: pwiz/autotools/configure.ac:11


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1292392
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
1) Please fix license tag as mentioned above;
2) According the recent changes, all build requirements should present;
3) Ask upstream to use sane m4 macros (if possible);
4) Why these SourceXX? Couldn't these files be downloaded properly?
5) You can use '_hardened_build' without condition, since it won't break things anywhere (but it's up to you);
6) No manfiles for binaries is not good;
7) Missing description for 'pepcat' in 'tools' subpackage description;
8) For the whole spec uniformity, please put one BR per line, e.g.:
  BuildRequires: libtool
  BuildRequires: intltool
     instead of:
  BuildRequires: libtool, intltool
9) Despite "--as-needed", 'unused-direct-shlib-dependency' issue present, you could try eliminate it with a workaround from guidelines.
Comment 4 Antonio Trande 2016-01-14 10:17:32 EST
(In reply to Denis Fateyev from comment #3)
> 
> Remarks:
> --------
> 1) Please fix license tag as mentioned above;
> 2) According the recent changes, all build requirements should present;
> 3) Ask upstream to use sane m4 macros (if possible);
> 4) Why these SourceXX? Couldn't these files be downloaded properly?

Source0 archive downloaded from a menu.
Source1 file downloaded from source files for Windows systems.

> 5) You can use '_hardened_build' without condition, since it won't break
> things anywhere (but it's up to you);
> 6) No manfiles for binaries is not good;
> 7) Missing description for 'pepcat' in 'tools' subpackage description;
> 8) For the whole spec uniformity, please put one BR per line, e.g.:
>   BuildRequires: libtool
>   BuildRequires: intltool
>      instead of:
>   BuildRequires: libtool, intltool
> 9) Despite "--as-needed", 'unused-direct-shlib-dependency' issue present,
> you could try eliminate it with a workaround from guidelines.

Spec URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz.spec
SRPM URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz-3.0.9283-1.fc23.src.rpm
Comment 5 Upstream Release Monitoring 2016-01-14 11:45:47 EST
dfateyev's scratch build of libpwiz-3.0.9283-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12547945
Comment 6 Denis Fateyev 2016-01-14 16:19:49 EST
Rpmlint:
-------
libpwiz.src:4: W: configure-without-libdir-spec
libpwiz.src: W: invalid-url Source0: libpwiz_src_3_0_9283.tgz
libpwiz-devel.x86_64: W: only-non-binary-in-usr-lib
libpwiz-devel.x86_64: W: no-documentation
libpwiz-tools.x86_64: W: no-documentation
libpwiz-tools.x86_64: W: no-manual-page-for-binary idconvert
libpwiz-tools.x86_64: W: no-manual-page-for-binary pepcat
libpwiz-tools.x86_64: W: no-manual-page-for-binary txt2mzml
libpwiz-tools.x86_64: W: no-manual-page-for-binary mscat
libpwiz-tools.x86_64: W: no-manual-page-for-binary msconvert
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Remarks:
--------
make, gcc-c++, coreutils, findutils, sed are missing in BR, please add.
Otherwise, package approved.
Comment 7 Antonio Trande 2016-01-14 16:53:28 EST
(In reply to Denis Fateyev from comment #6)
> Rpmlint:
> -------
> libpwiz.src:4: W: configure-without-libdir-spec
> libpwiz.src: W: invalid-url Source0: libpwiz_src_3_0_9283.tgz
> libpwiz-devel.x86_64: W: only-non-binary-in-usr-lib
> libpwiz-devel.x86_64: W: no-documentation
> libpwiz-tools.x86_64: W: no-documentation
> libpwiz-tools.x86_64: W: no-manual-page-for-binary idconvert
> libpwiz-tools.x86_64: W: no-manual-page-for-binary pepcat
> libpwiz-tools.x86_64: W: no-manual-page-for-binary txt2mzml
> libpwiz-tools.x86_64: W: no-manual-page-for-binary mscat
> libpwiz-tools.x86_64: W: no-manual-page-for-binary msconvert
> 5 packages and 0 specfiles checked; 0 errors, 10 warnings.
> 
> Remarks:
> --------
> make, gcc-c++, coreutils, findutils, sed are missing in BR, please add.
> Otherwise, package approved.

Spec URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz.spec
SRPM URL: https://sagitter.fedorapeople.org/libpwiz/libpwiz-3.0.9283-1.fc23.src.rpm

Thank you.
Comment 8 Denis Fateyev 2016-01-15 05:00:59 EST
If you are interested in swap reviews, you can take one (or both):
https://bugzilla.redhat.com/show_bug.cgi?id=1292216
https://bugzilla.redhat.com/show_bug.cgi?id=1290530
Comment 9 Gwyn Ciesla 2016-01-15 09:27:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libpwiz
Comment 10 Fedora Update System 2016-01-15 16:55:32 EST
libpwiz-3.0.9283-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e5b4e08599
Comment 11 Fedora Update System 2016-01-16 14:24:58 EST
libpwiz-3.0.9283-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e5b4e08599
Comment 12 Fedora Update System 2016-01-17 09:22:44 EST
libpwiz-3.0.9283-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d4bbae518
Comment 13 Fedora Update System 2016-01-24 17:50:23 EST
libpwiz-3.0.9283-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-24 21:21:32 EST
libpwiz-3.0.9283-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.